# ![](https://github.com/k3b/calef/raw/master/app/src/main/res/drawable-xxxhdpi/calef.png) CalEF (Calendar Entry Formatter)

Select an entry in Android-Kalender and send/share the entry's content as human readable text.

![](https://github.com/k3b/calef/raw/master/fastlane/metadata/android/en-US/images/phoneScreenshots/CalEF-Schema.png)

Usually calendar entries are shared in human-unreadable technical format "ICS" (or "VCS") that
calendar programs can read.

CalEF receives the technical format and re-sends/re-shares it-s content as human readable text.

* Translations via
  crowdin.com: [![Crowdin](https://badges.crowdin.net/calef/localized.svg)](https://crowdin.com/project/calef)
* Download: [<img src="https://f-droid.org/badge/get-it-on.png"
  alt="Get it on F-Droid"
  height="80">](https://f-droid.org/app/de.k3b.android.calef)

## Requirements:

* Android-4.4 (api 19) or later
* Required Permissions:
  * none

## Compatible android apps

* [Etar-Calendar](https://github.com/Etar-Group/Etar-Calendar/)  version 1.0.29 or later (January
  2022)
* [Simple-Calendar](https://github.com/SimpleMobileTools/Simple-Calendar/) version 4.0.0 or later (
  May 2018)
* Buildin Android-Calender (Tested with android-10 on LG device)

## Technical details

* CalEF plugs into the Android-System-Share/Send-Chooser,
* receives calendarentries in "ICS" or "VCS" format
* translates the entries into human readable text
* and re-sends the generated text to the Android-System-Share/Send-Chooser

## Privacy

No adds, no usertracking, no internet connection, free open source, available on f-droid

-----

## Donations:

If you like this app please consider to donating to https://f-droid.org/donate .

Since android-developping is a hobby (and an education tool) i do not want any money for my apps so
donation should go to projects i benefit from.
